# AttributeHandleSetImp Class Reference

`#include <RTItypesImp.hh>`

Inheritance diagram for AttributeHandleSetImp:

[legend]

List of all members.

## Public Member Functions
| AttributeHandleSetImp (ULong)
| AttributeHandleSetImp (const std::vector< AttributeHandle > &)
virtual | ~AttributeHandleSetImp ()
virtual ULong | size () const
virtual AttributeHandle | getHandle (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual void | add (AttributeHandle) throw (RTI::ArrayIndexOutOfBounds, RTI::AttributeNotDefined)
virtual void | remove (AttributeHandle) throw (RTI::AttributeNotDefined)
virtual void | empty ()
virtual RTI::Boolean | isEmpty () const
virtual RTI::Boolean | isMember (AttributeHandle h) const
const std::vector < AttributeHandle > & | getAttributeHandles () const
## Protected Attributes
std::vector< AttributeHandle > | _set

## Detailed Description

Definition at line 117 of file RTItypesImp.hh.

## Constructor & Destructor Documentation

AttributeHandleSetImp | ( | ULong | size | ) |

Definition at line 178 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

AttributeHandleSetImp | ( | const std::vector< AttributeHandle > & | val | ) |

Definition at line 183 of file RTItypesImp.cc.

~AttributeHandleSetImp | ( |  | ) | `[virtual]`

Definition at line 188 of file RTItypesImp.cc.

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 192 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

Referenced by AttributeHandleSetImp::getHandle().

AttributeHandle getHandle | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 197 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set, and AttributeHandleSetImp::size().

Here is the call graph for this function:

void add | ( | AttributeHandle | h | ) | throw (RTI::ArrayIndexOutOfBounds, RTI::AttributeNotDefined)`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 206 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

void remove | ( | AttributeHandle | h | ) | throw (RTI::AttributeNotDefined)`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 212 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

void empty | ( |  | ) | `[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 222 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

RTI::Boolean isEmpty | ( |  | ) | const`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 227 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

RTI::Boolean isMember | ( | AttributeHandle | h | ) | const`[virtual]`

Implements RTI::AttributeHandleSet.

Definition at line 232 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

const std::vector< AttributeHandle > & getAttributeHandles | ( |  | ) | const

Definition at line 238 of file RTItypesImp.cc.

References AttributeHandleSetImp::_set.

## Member Data Documentation

std::vector<AttributeHandle> _set`[protected]`

Definition at line 144 of file RTItypesImp.hh.

Referenced by AttributeHandleSetImp::add(), AttributeHandleSetImp::AttributeHandleSetImp(), AttributeHandleSetImp::empty(), AttributeHandleSetImp::getAttributeHandles(), AttributeHandleSetImp::getHandle(), AttributeHandleSetImp::isEmpty(), AttributeHandleSetImp::isMember(), AttributeHandleSetImp::remove(), and AttributeHandleSetImp::size().

The documentation for this class was generated from the following files:

- RTItypesImp.hh
- RTItypesImp.cc